Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.dispatcher
Class SGEJobManager

    java.lang.Object
      org.irisa.genouest.logol.dispatcher.SGEJobManager

All Implemented Interfaces:
  JobManager

    public class SGEJobManager

extends java.lang.Object
implements JobManager

Constructor Summary
`SGEJobManager()`

Method Summary
`int` | `addJob(java.lang.String sequence, java.lang.String output, java.lang.String jobArgs)`
`int` | `runJobs(java.lang.String nativeSpecifications)`
`void` | `setInstallPath(java.lang.String installDir)`
`void` | `setJobArgs(java.lang.String args)`
`int` | `waitForJobsOver()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SGEJobManager

    public SGEJobManager()

Method Detail

### addJob

    public int addJob(java.lang.String sequence,
                      java.lang.String output,
                      java.lang.String jobArgs)

  Specified by:
    `addJob` in interface `JobManager`

### runJobs

    public int runJobs(java.lang.String nativeSpecifications)

  Specified by:
    `runJobs` in interface `JobManager`

### waitForJobsOver

    public int waitForJobsOver()

  Specified by:
    `waitForJobsOver` in interface `JobManager`

### setJobArgs

    public void setJobArgs(java.lang.String args)

  Specified by:
    `setJobArgs` in interface `JobManager`

### setInstallPath

    public void setInstallPath(java.lang.String installDir)

  Specified by:
    `setInstallPath` in interface `JobManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD